r2645 - jhalfs/trunk

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Fri May 5 12:03:33 PDT 2006


Author: manuel
Date: 2006-05-05 13:03:33 -0600 (Fri, 05 May 2006)
New Revision: 2645

Modified:
   jhalfs/trunk/master.sh
Log:
Load additional modules or configuration files only is requested.

Modified: jhalfs/trunk/master.sh
===================================================================
--- jhalfs/trunk/master.sh	2006-05-05 18:35:55 UTC (rev 2644)
+++ jhalfs/trunk/master.sh	2006-05-05 19:03:33 UTC (rev 2645)
@@ -56,11 +56,6 @@
 [[ $? > 0 ]] && echo "$COMMON_DIR/conf did not load.." && exit
 [[ $VERBOSITY > 0 ]] && echo "OK"
 #
-[[ $VERBOSITY > 0 ]] && echo -n "Loading compare module..."
-source $COMMON_DIR/func_compare.sh
-[[ $? > 0 ]] && echo "$COMMON_DIR/func_compare.sh did not load.." && exit
-[[ $VERBOSITY > 0 ]] && echo "OK"
-#
 [[ $VERBOSITY > 0 ]] && echo -n "Loading config module <$MODULE_CONFIG>..."
 source $MODULE_CONFIG
 [[ $? > 0 ]] && echo "$MODULE_CONFIG did not load.." && exit 1
@@ -445,6 +440,15 @@
 fi
 echo "${nl_}${SD_BORDER}${nl_}"
 
+# Loadd additional modules or configuration files based on global settings
+# compare module
+if [[ "$COMPARE" = "1" ]]; then
+  [[ $VERBOSITY > 0 ]] && echo -n "Loading compare module..."
+  source $COMMON_DIR/func_compare.sh
+  [[ $? > 0 ]] && echo "$COMMON_DIR/func_compare.sh did not load.." && exit
+  [[ $VERBOSITY > 0 ]] && echo "OK"
+fi
+
 # Prevents setting "-d /" by mistake.
 
 if [ $BUILDDIR = / ] ; then




More information about the alfs-log mailing list